FLANG

Public Types | Public Member Functions | Public Attributes | List of all members
Fortran::runtime::Allocator< A > Struct Template Reference

## Public Types
using | value_type = A

## Public Member Functions
| Allocator (const Terminator &t)
template<typename B >
constexpr | Allocator (const Allocator< B > &that) noexcept
| Allocator (const Allocator &)=default
| Allocator (Allocator &&)=default
constexpr A * | allocate (std::size_t n)
constexpr void | deallocate (A *p, std::size_t)

## Public Attributes
const Terminator & | terminator

The documentation for this struct was generated from the following file:

- runtime/memory.h